%global sname heatclient
 
Summary: Python API and CLI for OpenStack Heat
Name:    python-heatclient
Version: 3.1.0
Release: 2%{?dist}
License: ASL 2.0
URL:     https://launchpad.net/python-heatclient
Source0: https://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz

BuildArch: noarch

%description
This package provides a client for the OpenStack Heat API. There is a Python API (the heatclient 
module), and a command-line script (heat). Each implements 100% of the OpenStack Heat API.
 
%package -n python3-%{sname}
Summary: Python API and CLI for OpenStack Heat
 
BuildRequires: python3-devel python3-setuptools python3-pbr
BuildRequires: git-core
Requires: python3-babel python3-iso8601 python3-keystoneauth1 >= 3.8.0
Requires: python3-osc-lib >= 1.14.0 python3-prettytable python3-pbr
Requires: python3-six python3-oslo-serialization >= 2.18.0 python3-PyYAML
Requires: python3-oslo-utils >= 3.33.0 python3-oslo-i18n >= 3.15.3
Requires: python3-swiftclient >= 3.2.0 python3-requests python3-cliff
 
%description -n python3-%{sname}
This package provides a client for the OpenStack Heat API. There is a Python API (the heatclient 
module), and a command-line script (heat). Each implements 100% of the OpenStack Heat API.
 
%prep
%autosetup -S git
 
rm -rf {test-,}requirements.txt tools/{pip,test}-requires
 
%build
%{py3_build}
 
%install
%{py3_install}
echo "%{version}" > %{buildroot}%{python3_sitelib}/heatclient/versioninfo
ln -s heat %{buildroot}%{_bindir}/heat-3
 
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
install -pm 644 tools/heat.bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/heat

rm -fr %{buildroot}%{python3_sitelib}/heatclient/tests
 
%files -n python3-%{sname}
%license LICENSE
%doc README.rst
%{_bindir}/heat
%{_bindir}/heat-3
%{python3_sitelib}/heatclient
%{python3_sitelib}/*.egg-info
%{_sysconfdir}/bash_completion.d
 
%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-2
- Rebuilt for loongarch release

* Wed Sep 27 2023 jackeyji <jackeyji@tencent.com> - 3.1.0-1
- upgrade to 3.1.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Mon May 15 2023 abushwang <abushwang@tencent.com> - 2.3.0-3
- backport Replace oslo_utils.fnmatch with fnmatch

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 14 2023 Wang Guodong <gordonwwang@tencent.com> - 2.3.0-1
- initial build
